/* mozhelper: A GObject wrapper for the Mozilla Mozhelper API
 *
 * Copyright (C) 2009  Intel Corporation
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef __MOZHELPER_SERVICE_H__
#define __MOZHELPER_SERVICE_H__

#include <glib.h>

G_BEGIN_DECLS

#define MOZHELPER_SERVICE_EXIT_SUCCESS        0
#define MOZHELPER_SERVICE_EXIT_ERROR          1
#define MOZHELPER_SERVICE_EXIT_SERVICE_EXISTS 2

#define MOZHELPER_SERVICE_HISTORY           "org.moblin.mozhelper.History"
#define MOZHELPER_SERVICE_HISTORY_PATH      "/org/moblin/mozhelper/History"
#define MOZHELPER_SERVICE_HISTORY_INTERFACE "org.moblin.mozhelper.History"

#define MOZHELPER_SERVICE_PREFS             "org.moblin.mozhelper.Prefs"
#define MOZHELPER_SERVICE_PREFS_PATH        "/org/moblin/mozhelper/Prefs"
#define MOZHELPER_SERVICE_PREFS_INTERFACE   "org.moblin.mozhelper.Prefs"

#define MOZHELPER_SERVICE_COOKIES           "org.moblin.mozhelper.Cookies"
#define MOZHELPER_SERVICE_COOKIES_PATH      "/org/moblin/mozhelper/Cookies"
#define MOZHELPER_SERVICE_COOKIES_INTERFACE "org.moblin.mozhelper.Cookies"

#define MOZHELPER_SERVICE_LOGIN_MANAGER_STORAGE           \
                                      "org.moblin.mozhelper.LoginManagerStorage"
#define MOZHELPER_SERVICE_LOGIN_MANAGER_STORAGE_PATH      \
                                      "/org/moblin/mozhelper/LoginManagerStorage"
#define MOZHELPER_SERVICE_LOGIN_MANAGER_STORAGE_INTERFACE \
                                      "org.moblin.mozhelper.LoginManagerStorage"

#define MOZHELPER_SERVICE_PERMISSION_MANAGER \
                                      "org.moblin.mozhelper.PermissionManager"
#define MOZHELPER_SERVICE_PERMISSION_MANAGER_PATH \
                                      "/org/moblin/mozhelper/PermissionManager"
#define MOZHELPER_SERVICE_PERMISSION_MANAGER_INTERFACE \
                                      "org.moblin.mozhelper.PermissionManager"

G_END_DECLS

#endif /* __MOZHELPER_SERVICE_H__ */
